import { AccountInfo, ActionEvent, Capabilities, CauseOfFailure, CollectionsFound, ConnectionStatus, ConnectionType, CreateExternalDatabaseConnectionRequest, CreateExternalDatabaseConnectionResponse, DeleteExternalDatabaseConnectionRequest, DeleteExternalDatabaseConnectionResponse, DomainEvent, EntityCreatedEvent, EntityDeletedEvent, EntityUpdatedEvent, ExternalDatabaseConnection, FieldType, GetExternalDatabaseConnectionRequest, GetExternalDatabaseConnectionResponse, IdentificationData, ListExternalDatabaseConnectionsRequest, ListExternalDatabaseConnectionsResponse, MessageEnvelope, Paging, PagingMetadata, ProtocolVersion, RestoreInfo, UpdateExternalDatabaseConnectionRequest, UpdateExternalDatabaseConnectionResponse, WebhookIdentityType } from './types.impl.js';
export declare function aConnectionType(enumFirstItem?: ConnectionType): ConnectionType;
export declare function aCreateExternalDatabaseConnectionRequest(overrideObject?: Partial<CreateExternalDatabaseConnectionRequest>): CreateExternalDatabaseConnectionRequest;
export declare function aCreateExternalDatabaseConnectionResponse(overrideObject?: Partial<CreateExternalDatabaseConnectionResponse>): CreateExternalDatabaseConnectionResponse;
export declare function aDeleteExternalDatabaseConnectionRequest(overrideObject?: Partial<DeleteExternalDatabaseConnectionRequest>): DeleteExternalDatabaseConnectionRequest;
export declare function aDeleteExternalDatabaseConnectionResponse(overrideObject?: Partial<DeleteExternalDatabaseConnectionResponse>): DeleteExternalDatabaseConnectionResponse;
export declare function aExternalDatabaseConnection(overrideObject?: Partial<ExternalDatabaseConnection>): ExternalDatabaseConnection;
export declare function aCapabilities(overrideObject?: Partial<Capabilities>): Capabilities;
export declare function aConnectionStatus(overrideObject?: Partial<ConnectionStatus>): ConnectionStatus;
export declare function aCauseOfFailure(enumFirstItem?: CauseOfFailure): CauseOfFailure;
export declare function aCollectionsFound(enumFirstItem?: CollectionsFound): CollectionsFound;
export declare function aProtocolVersion(enumFirstItem?: ProtocolVersion): ProtocolVersion;
export declare function aGetExternalDatabaseConnectionRequest(overrideObject?: Partial<GetExternalDatabaseConnectionRequest>): GetExternalDatabaseConnectionRequest;
export declare function aGetExternalDatabaseConnectionResponse(overrideObject?: Partial<GetExternalDatabaseConnectionResponse>): GetExternalDatabaseConnectionResponse;
export declare function aListExternalDatabaseConnectionsRequest(overrideObject?: Partial<ListExternalDatabaseConnectionsRequest>): ListExternalDatabaseConnectionsRequest;
export declare function aListExternalDatabaseConnectionsResponse(overrideObject?: Partial<ListExternalDatabaseConnectionsResponse>): ListExternalDatabaseConnectionsResponse;
export declare function aUpdateExternalDatabaseConnectionRequest(overrideObject?: Partial<UpdateExternalDatabaseConnectionRequest>): UpdateExternalDatabaseConnectionRequest;
export declare function aUpdateExternalDatabaseConnectionResponse(overrideObject?: Partial<UpdateExternalDatabaseConnectionResponse>): UpdateExternalDatabaseConnectionResponse;
export declare function aFieldType(enumFirstItem?: FieldType): FieldType;
export declare function aAccountInfo(overrideObject?: Partial<AccountInfo>): AccountInfo;
export declare function aIdentificationData(overrideObject?: Partial<IdentificationData>): IdentificationData;
export declare function aWebhookIdentityType(enumFirstItem?: WebhookIdentityType): WebhookIdentityType;
export declare function aMessageEnvelope(overrideObject?: Partial<MessageEnvelope>): MessageEnvelope;
export declare function aPaging(overrideObject?: Partial<Paging>): Paging;
export declare function aPagingMetadata(overrideObject?: Partial<PagingMetadata>): PagingMetadata;
export declare function aActionEvent(overrideObject?: Partial<ActionEvent>): ActionEvent;
export declare function aDomainEvent(overrideObject?: Partial<DomainEvent>): DomainEvent;
export declare function aEntityCreatedEvent(overrideObject?: Partial<EntityCreatedEvent>): EntityCreatedEvent;
export declare function aEntityDeletedEvent(overrideObject?: Partial<EntityDeletedEvent>): EntityDeletedEvent;
export declare function aEntityUpdatedEvent(overrideObject?: Partial<EntityUpdatedEvent>): EntityUpdatedEvent;
export declare function aRestoreInfo(overrideObject?: Partial<RestoreInfo>): RestoreInfo;
export * from '@wix/metro-common-builders';
